cURL
curl --request DELETE \
--url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Files
Delete File
Delete a file from a knowledge base
DELETE
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
files
/
{file_id}
cURL
Use this endpoint to delete a regular file by
file_id, and also to remove a directory from the knowledge base.
For a folder, use the same id returned for that row in GET /orgs/{org_id}/k2/{kb_id}/files (or the placeholder_file_id from create-directory). Deleting that listing row removes the folder from file listings.Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Response
204
File deleted
⌘I